commoncpp-config(1)

NAME
commoncpp-config - script to get information about common c++ library

SYNOPSIS
commoncpp-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--cflags] [--libs] [--includes]

DESCRIPTION
commoncpp-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use the commonc++ library. Note: commoncpp-config is provided for compatibility with legacy software only. Current projects should use pkg-config instead!

OPTIONS

--version
    Print the currently installed version of common c++ on the standard output.

--includes
    Print the include directory for commonc++ headers

--libs
    Print the linker flags that are necessary to link a program with commonc++

--cflags
    Print the compiler flags that are necessary to compile a program with commonc++

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that common c++ was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that common c++ was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

SEE ALSO
pkg-config(1).

AUTHOR
commoncpp-config was written by David Sugar <dyfet@gnutelephony.org>.

COPYRIGHT
Copyright © 2009 David Sugar, Tycho Softworks.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.